Skip to main content
PUT
/
scim
/
v2
/
Groups
/
{id}
Replace group
curl --request PUT \
  --url https://{tenant}.cubecloud.dev/api/scim/v2/Groups/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "displayName": "<string>",
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:Group"
  ],
  "members": [
    {
      "value": "<string>",
      "display": "<string>"
    }
  ]
}
'
{
  "displayName": "<string>",
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:Group"
  ],
  "id": "<string>",
  "members": [
    {
      "value": "<string>",
      "display": "<string>"
    }
  ],
  "meta": {
    "resourceType": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "lastModified": "2023-11-07T05:31:56Z",
    "location": "<string>"
  }
}

Authorizations

Authorization
string
header
required

SCIM bearer token issued from your Cube Cloud account settings.

Path Parameters

id
string
required

The unique SCIM identifier of the resource.

Body

application/json

A SCIM 2.0 core Group resource.

displayName
string
required

Human-readable name of the group.

schemas
string[]
Example:
[
"urn:ietf:params:scim:schemas:core:2.0:Group"
]
members
object[]

Response

The updated group.

A SCIM 2.0 core Group resource.

displayName
string
required

Human-readable name of the group.

schemas
string[]
Example:
[
"urn:ietf:params:scim:schemas:core:2.0:Group"
]
id
string
read-only
members
object[]
meta
object
read-only